Next: PACK, Previous: NUM_IMAGES, Up: Intrinsic Procedures

### 8.188 `OR` — Bitwise logical OR

Description:
  Bitwise logical `OR`.

  This intrinsic routine is provided for backwards compatibility with GNU Fortran 77. For integer arguments, programmers should consider the use of the IOR intrinsic defined by the Fortran standard.

Standard:
  GNU extension
Class:
  Function
Syntax:
  `RESULT = OR(I, J)`
Arguments:

  I | The type shall be either a scalar `INTEGER` type or a scalar `LOGICAL` type.
  J | The type shall be the same as the type of J.

Return value:
  The return type is either a scalar `INTEGER` or a scalar `LOGICAL`. If the kind type parameters differ, then the smaller kind type is implicitly converted to larger kind, and the return has the larger kind.
Example:

                PROGRAM test_or
                  LOGICAL :: T = .TRUE., F = .FALSE.
                  INTEGER :: a, b
                  DATA a / Z'F' /, b / Z'3' /

                  WRITE (*,*) OR(T, T), OR(T, F), OR(F, T), OR(F, F)
                  WRITE (*,*) OR(a, b)
                END PROGRAM

See also:
  Fortran 95 elemental function: IOR